CloneNotSupportedException (Java Platform SE 8 )
Keywords: java.lang.CloneNotSupportedException class
Date: 2015-11-19

compact1, compact2, compact3
java.lang

## Class CloneNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.CloneNotSupportedException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ServerCloneException

      public class CloneNotSupportedException
      extends Exception

  Thrown to indicate that the `clone` method in class `Object` has been called to clone an object, but that the object's class does not implement the `Cloneable` interface.

  Applications that override the `clone` method can also throw this exception to indicate that an object could not or should not be cloned.

  Since:
    JDK1.0
  See Also:
    `Cloneable`, `Object.clone()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloneNotSupportedException()` Constructs a `CloneNotSupportedException` with no detail message.
    `CloneNotSupportedException(String s)` Constructs a `CloneNotSupportedException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloneNotSupportedException

          public CloneNotSupportedException()

      Constructs a `CloneNotSupportedException` with no detail message.

    - #### CloneNotSupportedException

          public CloneNotSupportedException(String s)

      Constructs a `CloneNotSupportedException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.